<!--
 * @Descripttion : 当前组件信息
 * @Author       : 无尘
 * @Date         : 2020-02-13 16:13:59
 * @LastEditors: 无尘
 * @LastEditTime: 2020-08-28 16:14:05
 * @FilePath     : j:\公司\haoban-4\src\components\company\auth-step.vue
 -->
<!--

  <auth-step :active-step="activeStep" @refreshData="refreshData"></auth-step>
  import authStep from '@/components/company/auth-step.vue';
  -->

<template>
  <div>
    <div :class="['auth-step-body', active == 0? 'step-one': 'step-two']">
      <el-steps :active="active" finish-status="success">
        <el-step title="GIC商户授权" description=""></el-step>
        <el-step title="审核员授权" description=""></el-step>
      </el-steps>
    </div>
  </div>
</template>
<script>
export default {
  name: 'AuthStep',
  components: {},
  props: {
    activeStep: {
      type: String,
      default() {
        return '0';
      }
    }
  },
  data() {
    return {
      active: '0'
    };
  },
  mounted() {
    const that = this;
    that.active = that.activeStep;
  },
  watch: {
    activeStep(newData) {
      this.active = newData;
    }
  }
};
</script>
<style lang="less" scoped>
.auth-step-body {
  width: 400px;
  margin: 0 auto;
}
</style>
